Page MenuHomePhabricator

Include entity usage data in action=info in repositories
Closed, ResolvedPublic

Description

We want to show editors on Wikidata where the data of a particular item is used on other Wikimedia porjects.

Our plan for doing this: Add a new section to action=info of an item. This section has a list of all clients that use data from the given item. Each list entry links to a Special Page on a client. The link would be something like en:Special:EntityUse/Q12345

Creating the Special Page is tracked in T144923.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Ladsgroup moved this task from Incoming to Later on the User-Ladsgroup board.Sep 11 2016, 10:50 AM
Addshore moved this task from incoming to ready to go on the Wikidata board.Sep 16 2016, 6:21 PM
Ladsgroup moved this task from Later to In progress on the User-Ladsgroup board.Sep 16 2016, 6:26 PM
daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Sep 19 2016, 1:46 PM
daniel assigned this task to Ladsgroup.Sep 19 2016, 1:51 PM
daniel moved this task from accepted to doing on the WMDE-TLA-Team board.

Change 311483 had a related patch set uploaded (by Ladsgroup):
[WIP] Add InfoAction handler in repo for tracking subscriptions

https://gerrit.wikimedia.org/r/311483

Ladsgroup moved this task from doing to needs review on the WMDE-TLA-Team board.Sep 21 2016, 1:38 PM

Change 311483 merged by jenkins-bot:
Add InfoAction handler in repo for tracking subscriptions

https://gerrit.wikimedia.org/r/311483

hoo closed this task as Resolved.Sep 27 2016, 2:17 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Proposed to Done on the Wikidata-Sprint-2016-08-30 board.
Ladsgroup moved this task from needs review to done on the WMDE-TLA-Team board.